Bug 1421429 - [RFE] Connection profile user data
Summary: [RFE] Connection profile user data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 09:47 UTC by Edward Haas
Modified: 2017-08-01 09:22 UTC (History)
12 users (show)

Fixed In Version: NetworkManager-1.8.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:22:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC
GNOME Bugzilla 776276 None None None 2017-02-12 21:39:27 UTC

Description Edward Haas 2017-02-12 09:47:25 UTC
Description of problem:
Programs that use NM can benefit from marking a connection profile with a label/tag.
One simple usage is to mark a connection as "owned" by the program the uses NM, allowing such a program to differentiate between connections it manages and others which it does not.

Such a label can be generalized to user-data field/s, allowing the user/program add limited information for its own use (ignored by NM).

Comment 2 Thomas Haller 2017-05-05 09:13:32 UTC
please review: th/user-data-v2-bgo776276

nmcli support is still missing.

Comment 3 Thomas Haller 2017-05-06 13:04:19 UTC
merged:

master: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=0b6490f3d88c58597f288b63ed7e6d51ca21f2bf

nm-1-8: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=fd6f4b0ef8bec0569d2227f67d77a161ca916858



now, the only thing missing is nmcli support.

That will not make it to rhel-7.4 and is left for later.


I am moving this bug to MODIFIED, as the core parts will be in rhel-7.4:

 - libnm support
 - support from the daemon, including keyfile and ifcfg-rh settings plugin to
   persist the user-data.



As nmcli support is not yet implemented, you might want to use the example script https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/examples/python/gi/setting-user-data.py?id=0b6490f3d88c58597f288b63ed7e6d51ca21f2bf

Comment 7 errata-xmlrpc 2017-08-01 09:22:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.